### Constructor

# Adw Applicationnew

#### Declaration [src]

    AdwApplication*
    adw_application_new (
      const char* application_id,
      GApplicationFlags flags
    )

#### Description [src]

Creates a new `AdwApplication`.

If `application_id` is not `NULL`, then it must be valid. See `g_application_id_is_valid()`.

If no application ID is given then some features (most notably application uniqueness) will be disabled.

#### Parameters

`application_id`

  Type: `const char*`

  The application ID.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `GApplicationFlags`

  The application flags.

#### Return value

Type: `AdwApplication`

The newly created `AdwApplication`

The caller of the function takes ownership of the data, and is responsible for freeing it.